/* ヘッダーボタンのスタイル */
.header-button {
  display: flex;
  font-size: 16px;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  border-radius: 10px;
  color: #fff;
  box-shadow: 0 0 0 1px white;
  transition: background-color 0.3s ease;
  align-items: center;
  justify-content: center;
  height: 30px;
  max-width: 1000px;
  margin-right: 10px;
}

.header-button:hover {
  background-color: #2980b9;
}

.button-icon {
  margin: 2px;
  max-width: 100px;
  max-height: 27px;
}

.header-button-area {
    position: fixed;
    width: auto;
    right: 0;
    top: 0;
    margin-top: 2px; 
    display: flex;
}

.header-modal {
    display: none;
    position: fixed;
    width: 300px;
    background-color: #dfdddd;
    border-radius: 10px;
    z-index: 110;
}
.header-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    z-index: 100;
}